## ayatana-indicator-sound 0.8.0

=== CMakeLists.txt ===
project(ayatana-indicator-sound C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(PROJECT_VERSION 0.8.0)
find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)
include(UseVala)

option (enable_tests "Build the package's automatic tests." ON)

set(GETTEXT_PACKAGE "ayatana-indicator-sound")
set(LOCALEDIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
add_definitions( -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" )

set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_BINARY_DIR}/src")

set(PULSE_AUDIO_REQUIRED_VERSION 0.9.19)
set(GLIB_2_0_REQUIRED_VERSION 2.32)
set(GIO_2_0_REQUIRED_VERSION 2.25.13)

pkg_check_modules(
  PULSEAUDIO REQUIRED
  libpulse-mainloop-glib>=${PULSE_AUDIO_REQUIRED_VERSION}
  glib-2.0>=${GLIB_2_0_REQUIRED_VERSION}
  gio-unix-2.0>=${GIO_2_0_REQUIRED_VERSION}
)
include_directories(${PULSEAUDIO_INCLUDE_DIRS})

set(URL_DISPATCHER_1_REQUIRED_VERSION 1)

pkg_check_modules(
  URLDISPATCHER
  url-dispatcher-1>=${URL_DISPATCHER_1_REQUIRED_VERSION}
)
include_directories(${URLDISPATCHER_INCLUDE_DIRS})

pkg_check_modules(
  SOUNDSERVICE REQUIRED
  gee-0.8
  gio-2.0>=${GIO_2_0_REQUIRED_VERSION}
  gio-unix-2.0
  gthread-2.0
  libxml-2.0
  libnotify
  accountsservice
)
include_directories(${SOUNDSERVICE_INCLUDE_DIRS})

pkg_check_modules(UNITY_API libunity-api>=0.1.3)

include_directories(${TEST_INCLUDE_DIRS})

find_package(Vala 0.20)

find_package(GObjectIntrospection 0.9.12)

include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_definitions(
  -Wall
)

configure_file(
  "config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

add_subdirectory(data)
add_subdirectory(src)
add_subdirectory(po)

if (${enable_tests})
    pkg_check_modules(TEST REQUIRED dbustest-1>=15.04.0)
    enable_testing()
    add_subdirectory(tests)
    find_package(CoverageReport)
    ENABLE_COVERAGE_REPORT(
        TARGETS ${COVERAGE_TARGETS}
        TESTS ${COVERAGE_TEST_TARGETS}
        FILTER /usr/include ${CMAKE_BINARY_DIR}/*
 )
endif ()

=== debian/changelog ===
ayatana-indicator-sound (0.8.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #968706).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Aug 2020 15:33:45 +0200

=== debian/control ===
Source: ayatana-indicator-sound
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               cmake-extras (>= 0.10),
               dbus,
#               dbus-test-runner (>> 14.04.0+14.04.20150120.1),
#               gcovr,
               gir1.2-accountsservice-1.0,
               mate-common,
#               googletest | google-mock (>= 1.6.0+svn437),
               intltool,
               valac (>= 0.20),
#               lcov,
               libaccountsservice-dev,
               libdbustest1-dev (>= 15.04.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.32.0),
#               libqtdbusmock1-dev (>= 0.3),
#               libqtdbustest1-dev,
               libpulse-dev (>= 5.0),
               libpulse-mainloop-glib0 (>= 0.9.18),
               libnotify-dev,
               libgee-0.8-dev,
               libxml2-dev,
               pulseaudio,
#               python3-dbusmock,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               systemd [linux-any],
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ArcticaProject/ayatana-indicator-sound
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session

Package: ayatana-indicator-sound
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pulseaudio,
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Recommends: unity-control-center | gnome-control-center | pavucontrol | mate-media,
            accountsservice,
Suggests: ayatana-greeter-session-broadcast,
Description: Ayatana Indicator for managing system sound
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control over the system's sound settings.
 .
 Ayatana Indicator Sound provides easy control of the PulseAudio sound
 daemon, and integrates well with media players that support the Mpris
 protocol.

## ayatana-indicator-sound 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.8.0)
+set(PROJECT_VERSION 0.8.1)
 find_package(PkgConfig REQUIRED)
 include(GNUInstallDirs)
 include(UseVala)

=== src/CMakeLists.txt ===
###########################
# Vala Generation
###########################

set(HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.h")
set(SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.def")
set(VAPI_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.vapi")

if(URLDISPATCHER_FOUND)
    set (VALA_DEFINE_URLDISPATCHER "--define=HAS_URLDISPATCHER")
    set (VALA_PKG_URLDISPATCHER "url-dispatcher")
endif()

if(EXISTS "/usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml")
  set (VALA_DEFINE_UBUNTU_SOUND_SCHEMA "--define=HAS_UBUNTU_SOUND_SCHEMA")
endif()

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.touch.AccountsService.SecurityPrivacy.xml")
  set (HAVE_UT_ACCTSERVICE_PRIVACY_SETTINGS ON)
  set (VALA_FILE_ACCTSERVICE_PRIVACY_SETTINGS "accounts-service-privacy-settings")
  set (VALA_DEFINE_ACCTSERVICE_PRIVACY_SETTINGS "--define=HAS_UT_ACCTSERVICE_PRIVACY_SETTINGS")
else()
  set (HAVE_UT_ACCTSERVICE_PRIVACY_SETTINGS OFF)
endif()

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.touch.AccountsService.Sound.xml")
  set (HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS ON)
  set (VALA_FILE_ACCTSERVICE_SYSTEMSOUND_SETTINGS "accounts-service-system-sound-settings")
  set (VALA_DEFINE_ACCTSERVICE_SYSTEMSOUND_SETTINGS "--define=HAS_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS")
else()
  set (HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS OFF)
endif() 

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.AccountsService.Sound.xml")
  set (HAVE_UT_ACCTSERVICE_SOUND_SETTINGS ON)
  set (VALA_DEFINE_ACCTSERVICE_SOUND_SETTINGS "--define=HAS_UT_ACCTSERVICE_SOUND_SETTINGS")
else()
  set (HAVE_UT_ACCTSERVICE_SOUND_SETTINGS OFF)
endif()

vapi_gen(accounts-service
    LIBRARY
        accounts-service
    PACKAGES
        gio-2.0
    INPUT
        /usr/share/gir-1.0/AccountsService-1.0.gir
)

vala_init(ayatana-indicator-sound-service
  DEPENDS
    accounts-service
  PACKAGES
    config
    gee-0.8
    gio-2.0
    gio-unix-2.0
    libxml-2.0
    libpulse
    libpulse-mainloop-glib
    libnotify
    accounts-service
    ${VALA_PKG_URLDISPATCHER}
  OPTIONS
    --ccode
    --thread
    --target-glib=${GLIB_2_0_REQUIRED_VERSION}
    --vapidir=${CMAKE_SOURCE_DIR}/vapi/
    --vapidir=.
    --pkg=bus-watcher
    ${VALA_DEFINE_URLDISPATCHER}
    ${VALA_DEFINE_UBUNTU_SOUND_SCHEMA}
    ${VALA_DEFINE_ACCTSERVICE_PRIVACY_SETTINGS}
    ${VALA_DEFINE_ACCTSERVICE_SOUND_SETTINGS}
    ${VALA_DEFINE_ACCTSERVICE_SYSTEMSOUND_SETTINGS}
)

vala_add(ayatana-indicator-sound-service
  notification.vala
)
vala_add(ayatana-indicator-sound-service
  info-notification.vala
  DEPENDS
    notification
      volume-control
        options
)
vala_add(ayatana-indicator-sound-service
  warn-notification.vala
  DEPENDS
    notification
)
if(URLDISPATCHER_FOUND)
    vala_add(ayatana-indicator-sound-service
      service.vala
      DEPENDS
        sound-menu
        volume-control
        volume-control-pulse
        notification
        info-notification
        volume-warning
        options
        options-gsettings
        media-player
        media-player-list
        mpris2-interfaces
        accounts-service-user
        accounts-service-access
    )
else()
    vala_add(ayatana-indicator-sound-service
      service.vala
      DEPENDS
        sound-menu
        volume-control
        volume-control-pulse
        notification
        info-notification
        volume-warning
        options
        options-gsettings
        media-player
        media-player-list
        mpris2-interfaces
        accounts-service-user
        accounts-service-access
    )
endif()

vala_add(ayatana-indicator-sound-service
  options.vala
  DEPENDS
    volume-control
    volume-control-pulse
    accounts-service-access
)
vala_add(ayatana-indicator-sound-service
  options-gsettings.vala
  DEPENDS
    options
    volume-control-pulse
    volume-control
    accounts-service-access
)
vala_add(ayatana-indicator-sound-service
  volume-control.vala
  DEPENDS
    options
    volume-control-pulse
    accounts-service-access
)
vala_add(ayatana-indicator-sound-service
  accounts-service-access.vala
)
vala_add(ayatana-indicator-sound-service
  volume-control-pulse.vala
  DEPENDS
    accounts-service-access
    options
    volume-control
)
vala_add(ayatana-indicator-sound-service
  volume-warning.vala
  DEPENDS
    options
    volume-control-pulse
    volume-control
    warn-notification
    notification
    accounts-service-access
)
vala_add(ayatana-indicator-sound-service
  volume-warning-pulse.vala
  DEPENDS
    volume-warning
    options
    volume-control-pulse
    volume-control
    warn-notification
    notification
    accounts-service-access
)
vala_add(ayatana-indicator-sound-service
  media-player.vala
)
vala_add(ayatana-indicator-sound-service
  media-player-mpris.vala
  DEPENDS
    media-player
    mpris2-interfaces
)
vala_add(ayatana-indicator-sound-service
  media-player-user.vala
  DEPENDS
    media-player
    accounts-service-sound-settings
    greeter-broadcast
)
vala_add(ayatana-indicator-sound-service
  media-player-list.vala
  DEPENDS
    media-player
)
vala_add(ayatana-indicator-sound-service
  media-player-list-mpris.vala
  DEPENDS
    media-player-list
    media-player
    media-player-mpris
    mpris2-interfaces
)
vala_add(ayatana-indicator-sound-service
  media-player-list-greeter.vala
  DEPENDS
    media-player-list
    media-player-user
    media-player
)
vala_add(ayatana-indicator-sound-service
  mpris2-interfaces.vala
)
vala_add(ayatana-indicator-sound-service
  freedesktop-interfaces.vala
)
vala_add(ayatana-indicator-sound-service
  sound-menu.vala
  DEPENDS
    media-player
    volume-control
    options
    volume-control-pulse
    accounts-service-access
)
vala_add(ayatana-indicator-sound-service
  accounts-service-user.vala
  DEPENDS
    media-player
    mpris2-interfaces
    accounts-service-sound-settings
    ${VALA_FILE_ACCTSERVICE_PRIVACY_SETTINGS}
    ${VALA_FILE_ACCTSERVICE_SYSTEMSOUND_SETTINGS}
    greeter-broadcast
)
vala_add(ayatana-indicator-sound-service
  accounts-service-sound-settings.vala
)

if(${HAVE_UT_ACCTSERVICE_PRIVACY_SETTINGS})
	vala_add(ayatana-indicator-sound-service
          accounts-service-system-sound-settings.vala
	)
endif()

if(${HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS})
	vala_add(ayatana-indicator-sound-service
          accounts-service-privacy-settings.vala
	)
endif()

vala_add(ayatana-indicator-sound-service
  greeter-broadcast.vala
)

vala_finish(ayatana-indicator-sound-service
  SOURCES
    project_VALA_SOURCES
  OUTPUTS
    project_VALA_C
  GENERATE_HEADER
    ${HEADER_PATH}
  GENERATE_SYMBOLS
    ${SYMBOLS_PATH}
  GENERATE_VAPI
    ${VAPI_PATH}
)

set_source_files_properties(
  ${project_VALA_SOURCES}
  PROPERTIES
  HEADER_FILE_ONLY TRUE
)

set(
  INDICATOR_SOUND_SOURCES
  ${project_VALA_SOURCES}
  ${project_VALA_C}
  bus-watch-namespace.c
  ${SYMBOLS_PATH}
)

###########################
# Lib
###########################

add_definitions(
  -w
  -DG_LOG_DOMAIN="ayatana-indicator-sound"
)

add_library(
    indicator-sound-service-lib STATIC
    ${INDICATOR_SOUND_SOURCES}
)

target_link_libraries(
  indicator-sound-service-lib
  ${SOUNDSERVICE_LIBRARIES}
  ${URLDISPATCHER_LIBRARIES}
  -lm
)

###########################
# Executable
###########################

include_directories(${CMAKE_BINARY_DIR})

add_executable(
  indicator-sound-service-bin
  main.c
)

set_target_properties(
  indicator-sound-service-bin
  PROPERTIES
  OUTPUT_NAME "ayatana-indicator-sound-service"
)

target_link_libraries(
  indicator-sound-service-bin
  indicator-sound-service-lib
  ${PULSEAUDIO_LIBRARIES}
)

###########################
# Installation
###########################

install(
  TARGETS indicator-sound-service-bin
  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/ayatana-indicator-sound/
)

if(UNITY_API_FOUND)
add_subdirectory(gmenuharness)
endif()

# coverage reporting
set(COVERAGE_TARGETS
  ${COVERAGE_TARGETS}
  indicator-sound-service-lib
  indicator-sound-service-bin
  PARENT_SCOPE
)

=== debian/changelog ===
ayatana-indicator-sound (0.8.1-2) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Fix Vcs-*: URLs (wrong repo).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Nov 2020 15:07:48 +0100

ayatana-indicator-sound (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: relation for indicator-sound.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:21:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                cmake,
                cmake-extras (>= 0.10),
@@ -36,8 +37,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ArcticaProject/ayatana-indicator-sound
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-sound.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-sound
 
 Package: ayatana-indicator-sound
 Architecture: any
@@ -49,6 +50,8 @@
 Recommends: unity-control-center | gnome-control-center | pavucontrol | mate-media,
             accountsservice,
 Suggests: ayatana-greeter-session-broadcast,
+Breaks: indicator-sound,
+Replaces: indicator-sound,
 Description: Ayatana Indicator for managing system sound
  This Ayatana Indicator is designed to be placed on the right side of a
  panel and give the user easy control over the system's sound settings.
@@ -56,3 +59,7 @@
  Ayatana Indicator Sound provides easy control of the PulseAudio sound
  daemon, and integrates well with media players that support the Mpris
  protocol.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ etc.).

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-sound/ayatana-indicator-sound-(.+)\.tar\.gz

## ayatana-indicator-sound 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")
 
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(PROJECT_VERSION 0.8.1)
+set(PROJECT_VERSION 0.8.2)
 find_package(PkgConfig REQUIRED)
 include(GNUInstallDirs)
 include(UseVala)
@@ -30,11 +30,11 @@
 )
 include_directories(${PULSEAUDIO_INCLUDE_DIRS})
 
-set(URL_DISPATCHER_1_REQUIRED_VERSION 1)
+set(URL_DISPATCHER_REQUIRED_VERSION 0)
 
 pkg_check_modules(
   URLDISPATCHER
-  url-dispatcher-1>=${URL_DISPATCHER_1_REQUIRED_VERSION}
+  lomiri-url-dispatcher>=${URL_DISPATCHER_REQUIRED_VERSION}
 )
 include_directories(${URLDISPATCHER_INCLUDE_DIRS})
 
@@ -50,7 +50,7 @@
 )
 include_directories(${SOUNDSERVICE_INCLUDE_DIRS})
 
-pkg_check_modules(UNITY_API libunity-api>=0.1.3)
+pkg_check_modules(UNITY_API liblomiri-api>=0.1.1)
 
 include_directories(${TEST_INCLUDE_DIRS})

=== data/CMakeLists.txt ===

find_package(GSettings)

###########################
# Indicator service
###########################

set(
  INDICATOR_DIR
  "${CMAKE_INSTALL_DATADIR}/ayatana/indicators"
  CACHE FILEPATH "Ayatana Indicators Directory"
)

install(
  FILES "org.ayatana.indicator.sound"
  DESTINATION "${INDICATOR_DIR}"
)

###########################
# Systemd Job
###########################

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

  # where to install
  pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
  message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

  set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
  set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
  set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

  # build it
  set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
  configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

  # install it
  install (FILES "${SYSTEMD_USER_FILE}"
           DESTINATION "${SYSTEMD_USER_DIR}")
endif()

###########################
# XDG Autostart
###########################

set(
  INDICATOR_SOUND_XDG_AUTOSTART
  "${CMAKE_CURRENT_BINARY_DIR}/ayatana-indicator-sound.desktop"
)

configure_file(
  "ayatana-indicator-sound.desktop.in"
  ${INDICATOR_SOUND_XDG_AUTOSTART}
  @ONLY
)

install(
  FILES "${INDICATOR_SOUND_XDG_AUTOSTART}"
  DESTINATION "/etc/xdg/autostart"
)

###########################
# GSettings
###########################

add_schema ("org.ayatana.indicator.sound.gschema.xml")

if(NOT EXISTS /usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml)
  add_schema ("org.ayatana.sound.gschema.xml")
endif()

#########################################
# Accounts Service Iface: Sound Indicator
#########################################


set(POLKIT_LIB_DIR "${CMAKE_INSTALL_LOCALSTATEDIR}/lib/polkit-1")
set(POLKIT_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/polkit-1")
set(DBUS_IFACE_DIR "${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces")
set(ACCOUNTS_IFACE_DIR "${CMAKE_INSTALL_PREFIX}/share/accountsservice/interfaces")

install(FILES org.ayatana.indicator.sound.AccountsService.xml
	DESTINATION "${DBUS_IFACE_DIR}"
)

# Create accountsservice symlink for above dbus interface
install(CODE "
	execute_process(COMMAND mkdir -p \"\$ENV{DESTDIR}${ACCOUNTS_IFACE_DIR}\")
	execute_process(COMMAND ln -sf ../../dbus-1/interfaces/org.ayatana.indicator.sound.AccountsService.xml \"\$ENV{DESTDIR}${ACCOUNTS_IFACE_DIR}\")
")

install(FILES org.ayatana.indicator.sound.AccountsService.policy
DESTINATION "${POLKIT_DATA_DIR}/actions"
)

install(FILES 50-org.ayatana.indicator.sound.AccountsService.pkla
DESTINATION "${POLKIT_LIB_DIR}/localauthority/10-vendor.d"
)

#######################################
# Accounts Service Iface: Greeter Sound
#######################################

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.AccountsService.Sound.xml")

  # Nothing to do here...
  # Using files from Ubuntu specific package 'accountsservice-ubuntu-schemas'.

else()

  install(FILES org.ayatana.AccountsService.Sound.xml
      DESTINATION "${DBUS_IFACE_DIR}"
  )

  # Create accountsservice symlink for above dbus interface
  install(CODE "
      execute_process(COMMAND mkdir -p \"\$ENV{DESTDIR}${ACCOUNTS_IFACE_DIR}\")
      execute_process(COMMAND ln -sf ../../dbus-1/interfaces/org.ayatana.AccountsService.Sound.xml \"\$ENV{DESTDIR}${ACCOUNTS_IFACE_DIR}\")
  ")

  install(FILES org.ayatana.AccountsService.Sound.policy
  DESTINATION "${POLKIT_DATA_DIR}/actions"
  )

  install(FILES 50-org.ayatana.AccountsService.Sound.pkla
  DESTINATION "${POLKIT_LIB_DIR}/localauthority/10-vendor.d"
  )
endif()

=== include/CMakeLists.txt ===
if(LOMIRI_API_FOUND)
add_subdirectory(lomiri)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 if(URLDISPATCHER_FOUND)
     set (VALA_DEFINE_URLDISPATCHER "--define=HAS_URLDISPATCHER")
-    set (VALA_PKG_URLDISPATCHER "url-dispatcher")
+    set (VALA_PKG_URLDISPATCHER "lomiri-url-dispatcher")
 endif()
 
 if(EXISTS "/usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml")

=== tests/CMakeLists.txt ===
find_package(GMock)
include_directories(${GMOCK_INCLUDE_DIRS})

###########################
# GSettings Schema
###########################

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# the home path needs to be severely below 108 characters of length, as pulseaudio
# will try to place a unix domain socket file in there... (i.e. in XDG_RUNTIME_DIR).
# In previous versions, the test-home was in the build directory somewhere, which failed
# when the source tree was stored in some deep sub/sub/sub/folders structure.
set (TEST_HOME "/tmp/build-home")
set (XDG_CONFIG_HOME "${TEST_HOME}/.config")
set (XDG_RUNTIME_DIR "${TEST_HOME}/.run")

add_custom_command (OUTPUT home.created
                    COMMAND mkdir -p ${TEST_HOME}
                    COMMAND mkdir -p ${XDG_RUNTIME_DIR}
                    COMMAND mkdir -p ${XDG_CONFIG_HOME}
)
add_custom_target (
             test-home ALL DEPENDS home.created
)

# GSettings:
# compile the indicator-sound schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (XDG_DATA_DIRS "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
set (SCHEMA_DIR "${XDG_DATA_DIRS}/glib-2.0/schemas")
if (EXISTS /usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml)
  set (SOUND_SCHEMA /usr/share/glib-2.0/schemas/com.ubuntu.sound.gschema.xml)
  add_definitions ( -DHAS_UBUNTU_SOUND_SCHEMA )
else()
  set (SOUND_SCHEMA  ${CMAKE_SOURCE_DIR}/data/org.ayatana.sound.gschema.xml)
endif()
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.sound.gschema.xml
                    COMMAND mkdir -p ${SCHEMA_DIR}
                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.sound.gschema.xml ${SCHEMA_DIR}
                    COMMAND cp -f ${SOUND_SCHEMA} ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

add_custom_target (
             gschemas-compiled ALL DEPENDS gschemas.compiled
)

###########################
# Vala Mocks
###########################

set(VALA_MOCKS_HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/vala-mocks.h")
set(VALA_MOCKS_SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/vala-mocks.def")

vala_init(vala-mocks
    DEPENDS
        indicator-sound-service-lib
    PACKAGES
        config
        gio-2.0
        gio-unix-2.0
        libxml-2.0
        libpulse
        libpulse-mainloop-glib
        libnotify
        accounts-service
        indicator-sound-service
    OPTIONS
        --ccode
        --thread
        --vapidir=${CMAKE_BINARY_DIR}/src/
        --vapidir=${CMAKE_SOURCE_DIR}/vapi/
        --vapidir=.
)

vala_add(vala-mocks
    media-player-mock.vala
)

vala_add(vala-mocks
    media-player-list-mock.vala
)

vala_add(vala-mocks
    options-mock.vala
)

vala_add(vala-mocks
    volume-control-mock.vala
)

vala_add(vala-mocks
    volume-warning-mock.vala
)

vala_finish(vala-mocks
    SOURCES
        vala_mocks_VALA_SOURCES
    OUTPUTS
        vala_mocks_VALA_C
    GENERATE_HEADER
        ${VALA_MOCKS_HEADER_PATH}
    GENERATE_SYMBOLS
        ${VALA_MOCKS_SYMBOLS_PATH}
)

set_source_files_properties(
    ${vala_mocks_VALA_SOURCES}
    PROPERTIES
    HEADER_FILE_ONLY TRUE
)

set(
    VALA_MOCKS_SOURCES
    ${vala_mocks_VALA_SOURCES}
    ${vala_mocks_VALA_C}
    ${VALA_MOCKS_SYMBOLS_PATH}
)

add_definitions(
    -Wno-unused-but-set-variable
)

add_library(
    vala-mocks-lib STATIC
    ${VALA_MOCKS_SOURCES}
)

target_link_libraries(
    vala-mocks-lib
    indicator-sound-service-lib
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

###########################
# Pulse Mock
###########################

add_library(
    pulse-mock
    SHARED
    pa-mock.cpp
)

target_link_libraries (pulse-mock ${PULSEAUDIO_LIBRARIES})

###########################
# Name Watch Test
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (name-watch-test name-watch-test.cc ${CMAKE_SOURCE_DIR}/src/bus-watch-namespace.c)
target_link_libraries (name-watch-test ${SOUNDSERVICE_LIBRARIES} ${GMOCK_LIBRARIES})
add_test(name-watch-test name-watch-test)

###########################
# Accounts Service User
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (accounts-service-user-test accounts-service-user.cc)
target_link_libraries (
    accounts-service-user-test
    indicator-sound-service-lib
    vala-mocks-lib
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(accounts-service-user-test-basic
    accounts-service-user-test  --gtest_filter=AccountsServiceUserTest.BasicObject
)

add_test(accounts-service-user-test-player
    accounts-service-user-test  --gtest_filter=AccountsServiceUserTest.SetMediaPlayer
)

###########################
# Volume Control
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (volume-control-test volume-control-test.cc)
add_dependencies (volume-control-test gschemas-compiled)
target_link_libraries (
    volume-control-test
    indicator-sound-service-lib
    vala-mocks-lib
    pulse-mock
    ${TEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

add_test(volume-control-test volume-control-test)

###########################
# Sound Menu
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (sound-menu-test sound-menu.cc)
target_link_libraries (
    sound-menu-test
    indicator-sound-service-lib
    vala-mocks-lib
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

add_test(sound-menu-test sound-menu-test)

###########################
# Notification Test
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (notifications-test notifications-test.cc)
target_link_libraries (
    notifications-test
    indicator-sound-service-lib
    vala-mocks-lib
    pulse-mock
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

add_test(notifications-test notifications-test)

###########################
# Accounts Service User
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (media-player-user-test media-player-user.cc)
target_link_libraries (
    media-player-user-test
    indicator-sound-service-lib
    vala-mocks-lib
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(media-player-user-test-basic
    media-player-user-test  --gtest_filter=MediaPlayerUserTest.BasicObject
)
add_test(media-player-user-test-dataset
    media-player-user-test  --gtest_filter=MediaPlayerUserTest.DataSet
)
add_test(media-player-user-test-timeout
    media-player-user-test  --gtest_filter=MediaPlayerUserTest.TimeoutTest
)

###########################
# Greeter List
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (greeter-list-test greeter-list.cc)
target_link_libraries (
    greeter-list-test
    indicator-sound-service-lib
    vala-mocks-lib
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(greeter-list-test-basic
    greeter-list-test  --gtest_filter=GreeterListTest.BasicObject
)
add_test(greeter-list-test-iterator
    greeter-list-test  --gtest_filter=GreeterListTest.BasicIterator
)

###########################
# Indicator Test
###########################

add_definitions(
    -DINDICATOR_SOUND_SERVICE_BINARY="${CMAKE_BINARY_DIR}/src/ayatana-indicator-sound-service"
    -DPA_MOCK_LIB="${CMAKE_CURRENT_BINARY_DIR}/libpulse-mock.so"
)
add_executable (indicator-test indicator-test.cc)
add_dependencies (indicator-test gschemas-compiled)
target_link_libraries (
    indicator-test
    ${SOUNDSERVICE_LIBRARIES}
    ${TEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(indicator-test
    indicator-test
)

if(UNITY_API_FOUND)
add_subdirectory(integration)
endif()
add_subdirectory(dbus-types)
add_subdirectory(service-mocks)

# coverage reporting
set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  name-watch-test
  accounts-service-user-test
  volume-control-test
  sound-menu-test
  notifications-test
  media-player-user-test
  greeter-list-test
  indicator-test
  PARENT_SCOPE
)

=== src/gmenuharness/CMakeLists.txt ===
include_directories(${UNITY_API_INCLUDE_DIRS})

include_directories("${CMAKE_SOURCE_DIR}/include")

add_library(
    gmenuharness-shared SHARED
    MatchResult.cpp
    MatchUtils.cpp
    MenuItemMatcher.cpp
    MenuMatcher.cpp
)

target_link_libraries(
    gmenuharness-shared
    ${GLIB_LDFLAGS}
)

# coverage reporting
set(COVERAGE_TARGETS
  ${COVERAGE_TARGETS}
  gmenuharness-shared
  PARENT_SCOPE
)

=== tests/dbus-types/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5DBus REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

add_definitions(-DQT_NO_KEYWORDS=1)

set(dbusinterface_streamrestore_xml "org.PulseAudio.Ext.StreamRestore1.xml")
set_source_files_properties(${dbusinterface_streamrestore_xml} PROPERTIES
  CLASSNAME StreamRestoreInterface)

set(dbusinterface_accounts_xml "org.freedesktop.Accounts.xml")
set_source_files_properties(${dbusinterface_accounts_xml} PROPERTIES
  CLASSNAME AccountsInterface)

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.AccountsService.Sound.xml")
    set(dbusinterface_accountssound_xml "com.ubuntu.AccountsService.Sound.xml")
else()
    set(dbusinterface_accountssound_xml "org.ayatana.AccountsService.Sound.xml")
endif()

set_source_files_properties(${dbusinterface_accountssound_xml} PROPERTIES
  CLASSNAME AccountsSoundInterface)

set(dbusinterface_properties_xml "org.freedesktop.DBus.Properties.xml")
set_source_files_properties(${dbusinterface_properties_xml} PROPERTIES
  CLASSNAME DBusPropertiesInterface
  NO_NAMESPACE YES
  INCLUDE "dbus-types.h")

set(dbusinterface_actions_xml "org.gtk.Actions.xml")
set_source_files_properties(${dbusinterface_actions_xml} PROPERTIES
  CLASSNAME MenusInterface
  INCLUDE "dbus-action-result.h")

set(dbusinterface_notifications_xml "org.freedesktop.Notifications.xml")
set_source_files_properties(${dbusinterface_notifications_xml} PROPERTIES
  CLASSNAME NotificationsInterface)

qt5_add_dbus_interface(interface_files ${dbusinterface_streamrestore_xml} stream_restore_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_properties_xml} dbus_properties_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_accounts_xml} dbus_accounts_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_accountssound_xml} dbus_accountssound_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_actions_xml} dbus_menus_interface)
qt5_add_dbus_interface(interface_files ${dbusinterface_notifications_xml} dbus_notifications_interface)

add_library(
  sound-indicator-dbus-interfaces
  STATIC
  ${interface_files}
  pulseaudio-volume.cpp
  dbus-action-result.cpp
)

qt5_use_modules(
    sound-indicator-dbus-interfaces
    Core
    DBus
)

=== tests/integration/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#pkg_check_modules(GMENUHARNESS REQUIRED libgmenuharness REQUIRED)
#include_directories(${GMENUHARNESS_INCLUDE_DIRS})
include_directories("${CMAKE_SOURCE_DIR}/include")

pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
include_directories(${QTDBUSTEST_INCLUDE_DIRS})

pkg_check_modules(QTDBUSMOCK REQUIRED libqtdbusmock-1 REQUIRED)
include_directories(${QTDBUSMOCK_INCLUDE_DIRS})

find_package(Qt5Test REQUIRED)
include_directories(${Qt5Test_INCLUDE_DIRS})

find_package(Qt5DBus REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})

include_directories("${CMAKE_SOURCE_DIR}/tests/dbus-types")
include_directories("${CMAKE_BINARY_DIR}/tests/dbus-types")

add_definitions(-DSOUND_SERVICE_BIN="${CMAKE_BINARY_DIR}/src/ayatana-indicator-sound-service"
                -DSTREAM_RESTORE_TABLE="${CMAKE_SOURCE_DIR}/tests/integration/touch-stream-restore.table"
                -DVOLUME_SET_BIN="${CMAKE_BINARY_DIR}/tests/integration/set-volume"
                -DACCOUNTS_SERVICE_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/accounts-mock/accounts-service-sound"
                -DMEDIA_PLAYER_MPRIS_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/media-player-mpris-mock/media-player-mpris-mock"
                -DMEDIA_PLAYER_MPRIS_UPDATE_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/media-player-mpris-mock/media-player-mpris-mock-update"
                -DTEST_SOUND="${CMAKE_SOURCE_DIR}/tests/integration/test-sound.wav"
                -DQT_NO_KEYWORDS=1
                -DXDG_DATA_DIRS="${XDG_DATA_DIRS}"
                -DXDG_CONFIG_HOME="${XDG_CONFIG_HOME}"
                -DXDG_RUNTIME_DIR="${XDG_RUNTIME_DIR}"
                -DTEST_HOME="${TEST_HOME}"
)

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.AccountsService.Sound.xml")
    add_definitions(-DHAS_UT_ACCTSERVICE_SOUND_SETTINGS)
endif()

set(GLIB_REQUIRED_VERSION 2.26)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0>=${GLIB_REQUIRED_VERSION}
  gio-2.0>=${GLIB_REQUIRED_VERSION}
)
include_directories(${GLIB_INCLUDE_DIRS})

set(
    INTEGRATION_TESTS_SRC
    indicator-sound-test-base.cpp
    test-indicator.cpp
    utils/dbus-pulse-volume.cpp
    main.cpp
)

add_executable(
    integration-tests
    ${INTEGRATION_TESTS_SRC}
)

add_dependencies(
    integration-tests
    test-home
)

qt5_use_modules(
    integration-tests
    Core
    DBus
    Test
)

target_link_libraries(
    integration-tests
    sound-indicator-dbus-interfaces
    ${QTDBUSMOCK_LDFLAGS}
    ${QTDBUSTEST_LDFLAGS}
    ${GMOCK_LIBRARIES}
#    ${GMENUHARNESS_LDFLAGS}
    ${GLIB_LDFLAGS}
    gmenuharness-shared
)

####
## When building under jenkins, pulseuadio fails to start as there is no
## /run/user tree, HOME directory is missing, and similar issues. So here
## we check that we are the jenkins user, and avoid the integration tests,
## until such time in future when we can run these tests in some different
## manner to avoid needing to run pulseaudio in this way.
####
execute_process(
  COMMAND whoami
  OUTPUT_VARIABLE TESTS_USER
  OUTPUT_STRIP_TRAILING_WHITESPACE
)

add_test(
    integration-tests
    integration-tests
)

set(
    SET-VOLUME-SRC
    utils/dbus-pulse-volume.cpp
    utils/set-volume.cpp
)

set(
    GET-VOLUME-SRC
    utils/dbus-pulse-volume.cpp
    utils/get-volume.cpp
)

add_executable(
    set-volume
    ${SET-VOLUME-SRC}
)

add_dependencies(
    set-volume
    test-home
)

add_executable(
    get-volume
    ${GET-VOLUME-SRC}
)

add_dependencies(
    get-volume
    test-home
)

qt5_use_modules(
    set-volume
    Core
    DBus
    Test
)

qt5_use_modules(
    get-volume
    Core
    DBus
    Test
)

target_link_libraries(
    get-volume
    sound-indicator-dbus-interfaces
)

target_link_libraries(
    set-volume
    sound-indicator-dbus-interfaces
)

# coverage reporting
set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  integration-tests
  PARENT_SCOPE
)

=== tests/service-mocks/accounts-mock/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5DBus REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS}
                    "${CMAKE_SOURCE_DIR}/tests/service-mocks")

add_definitions(-DQT_NO_KEYWORDS=1)

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.AccountsService.Sound.xml")
    add_definitions(-DHAS_UT_ACCTSERVICE_SOUND_SETTINGS)
    set(dbusinterface_sound_xml "com.ubuntu.AccountsService.Sound.Mock.xml")
else()
    set(dbusinterface_sound_xml "org.ayatana.AccountsService.Sound.Mock.xml")
endif()

set_source_files_properties(${dbusinterface_sound_xml} PROPERTIES
  CLASSNAME AccountsServiceSoundMockInterface)

qt5_add_dbus_interface(interface_files ${dbusinterface_sound_xml} accountsservice_sound_interface)

qt5_add_dbus_adaptor(adaptor_files
    ${dbusinterface_sound_xml}
    AccountsServiceSoundMock.h
    ubuntu::indicators::testing::AccountsServiceSoundMock
    AccountsServiceSoundMockAdaptor)

qt5_add_dbus_adaptor(adaptor_files
    ${CMAKE_SOURCE_DIR}/tests/dbus-types/org.freedesktop.Accounts.xml
    AccountsMock.h
    ubuntu::indicators::testing::AccountsMock
    AccountsMockAdaptor)

add_executable(
  accounts-service-sound
  ${interface_files}
  ${adaptor_files}
  AccountsServiceSoundMock.cpp
  AccountsMock.cpp
  ${CMAKE_SOURCE_DIR}/tests/service-mocks/DBusPropertiesNotifier.cpp
  main.cpp
)

qt5_use_modules(
    accounts-service-sound
    Core
    DBus
)

=== tests/service-mocks/media-player-mpris-mock/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -fPIC -pthread")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -fno-strict-aliasing -Wextra -fPIC -pthread")

find_package(Qt5DBus REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS}
                    "${CMAKE_SOURCE_DIR}/tests/service-mocks")

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.AccountsService.SecurityPrivacy.xml")
    add_definitions(-DHAS_UT_ACCTSERVICE_SOUND_SETTINGS)
endif()

add_definitions(-DQT_NO_KEYWORDS=1)

set(dbusinterface_mediaplayermpris_xml "org.mpris.MediaPlayer2.Player.xml")
set_source_files_properties(${dbusinterface_mediaplayermpris_xml} PROPERTIES
  CLASSNAME MediaPlayerMprisMockInterface)

qt5_add_dbus_interface(interface_files ${dbusinterface_mediaplayermpris_xml} MediaPlayerMprisMockInterface)

qt5_add_dbus_adaptor(adaptor_files
    org.mpris.MediaPlayer2.Player.xml
    MediaPlayerMprisMock.h
    ubuntu::indicators::testing::MediaPlayerMprisMock
    MediaPlayerMprisMockAdaptor)

qt5_add_dbus_adaptor(adaptor_files
    org.mpris.MediaPlayer2.xml
    MediaPlayerMprisMock.h
    ubuntu::indicators::testing::MediaPlayerMprisMock
    MediaPlayer2MockAdaptor)

add_executable(
  media-player-mpris-mock
  ${adaptor_files}
  MediaPlayerMprisMock.cpp
  ${CMAKE_SOURCE_DIR}/tests/service-mocks/DBusPropertiesNotifier.cpp
  main.cpp
  testplayers
)

add_executable(
  media-player-mpris-mock-update
  ${interface_files}
  player-update.cpp
  testplayers
)

qt5_use_modules(
    media-player-mpris-mock
    Core
    DBus
)

qt5_use_modules(
    media-player-mpris-mock-update
    Core
    DBus
)

# test players desktop files
add_custom_command (OUTPUT testplayers
                    DEPENDS ${CMAKE_SOURCE_DIR}/tests/service-mocks/media-player-mpris-mock/applications
                    COMMAND mkdir -p ${XDG_DATA_DIRS}
                    COMMAND cp -r ${CMAKE_SOURCE_DIR}/tests/service-mocks/media-player-mpris-mock/applications ${XDG_DATA_DIRS})

=== debian/changelog ===
ayatana-indicator-sound (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Switch to format version 4.
  * debian/control:
    + Add B-Ds: liblomiri-api-dev, liblomiri-url-dispatcher-dev.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix capitalization of Xfce. Thanks lintian.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Feb 2021 19:55:40 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,8 @@
                libglib2.0-dev (>= 2.32.0),
 #               libqtdbusmock1-dev (>= 0.3),
 #               libqtdbustest1-dev,
+               liblomiri-api-dev (>= 0.1.1),
+               liblomiri-url-dispatcher-dev (>= 0.1),
                libpulse-dev (>= 5.0),
                libpulse-mainloop-glib0 (>= 0.9.18),
                libnotify-dev,
@@ -34,9 +36,9 @@
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://github.com/ArcticaProject/ayatana-indicator-sound
+Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-sound
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-sound.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-sound
 
@@ -61,5 +63,5 @@
  protocol.
  .
  Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
  etc.).

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
	# So until Debian bug 719148 is fixed, do it ourselves.
	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var" \
	                     -Denable_tests=off \
	                     $(NULL)

override_dh_missing:
	dh_missing --fail-missing

# For live test logs:
#override_dh_auto_test:
#	ARGS=-V dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-sound/ayatana-indicator-sound-(.+)\.tar\.gz
